gnutls_heartbeat_enable(3)

NAME
gnutls_heartbeat_enable - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_heartbeat_enable(gnutls_session_t session, unsigned int type);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned int type
    one of the GNUTLS_HB_* flags

DESCRIPTION
If this function is called with the GNUTLS_HB_PEER_ALLOWED_TO_SEND
 type , GnuTLS will allow heartbeat messages to be received. Moreover it also request the peer to accept heartbeat messages. This function must be called prior to TLS handshake.

If the type used is GNUTLS_HB_LOCAL_ALLOWED_TO_SEND, then the peer will be asked to accept heartbeat messages but not send ones.

The function gnutls_heartbeat_allowed() can be used to test Whether locally generated heartbeat messages can be accepted by the peer.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/